Index: /trunk/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_cfg
===================================================================
--- /trunk/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_cfg	(revision 8283)
+++ /trunk/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_cfg	(revision 8284)
@@ -18,9 +18,4 @@
       !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
       cn_domcfg = "AGRIF_AGULHAS_domain_cfg"    ! domain configuration filename
-/
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-   ln_zps      = .true.    !  z-coordinate - partial steps
 /
 !-----------------------------------------------------------------------
Index: /trunk/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg
===================================================================
--- /trunk/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 8283)
+++ /trunk/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 8284)
@@ -17,9 +17,4 @@
       !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
       cn_domcfg = "ORCA_R2_zps_domcfg"    ! domain configuration filename
-/
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-   ln_zps      = .true.    !  z-coordinate - partial steps
 /
 !-----------------------------------------------------------------------
Index: /trunk/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /trunk/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8283)
+++ /trunk/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8284)
@@ -59,5 +59,4 @@
 !!======================================================================
 !!   namcfg       parameters of the configuration
-!!   namzgr       vertical coordinate                                   (default: NO selection)
 !!   namdom       space and time domain (bathymetry, mesh, timestep)
 !!   namwad       Wetting and drying                                    (default F)
Index: /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA
===================================================================
--- /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA	(revision 8283)
+++ /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA	(revision 8284)
@@ -11,5 +11,5 @@
 # @ total_tasks = NPROCS
 # time
-# @ wall_clock_limit = 1:30:00
+# @ wall_clock_limit = 00:59:00
 # @ queue
 
Index: /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA_DEBUG
===================================================================
--- /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA_DEBUG	(revision 8283)
+++ /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA_DEBUG	(revision 8284)
@@ -11,5 +11,5 @@
 # @ total_tasks = NPROCS
 # time
-# @ wall_clock_limit = 1:30:00
+# @ wall_clock_limit = 00:59:00
 # @ queue
 
Index: /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA_O0
===================================================================
--- /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA_O0	(revision 8283)
+++ /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-X64_ADA_O0	(revision 8284)
@@ -11,5 +11,5 @@
 # @ total_tasks = NPROCS
 # time
-# @ wall_clock_limit = 1:30:00
+# @ wall_clock_limit = 00:59:00
 # @ queue
 
Index: /trunk/NEMOGCM/SETTE/sette.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/sette.sh	(revision 8283)
+++ /trunk/NEMOGCM/SETTE/sette.sh	(revision 8284)
@@ -1219,5 +1219,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_LONG -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1245,4 +1245,5 @@
     set_namelist 1_namelist_cfg nn_itend 300
     set_namelist 1_namelist_cfg nn_stock 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
@@ -1283,4 +1284,5 @@
     set_namelist 1_namelist_cfg nn_itend 300
     set_namelist 1_namelist_cfg nn_stock 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_rstart .true.
     set_namelist 1_namelist_cfg nn_rstctl 2
@@ -1293,4 +1295,5 @@
     set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
     set_namelist 1_namelist_cfg cn_ocerst_in \"O2LP_LONG_00000150_restart\"
+    set_namelist 1_namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000150_restart_ice\"
 
     for (( i=1; i<=$NPROC; i++)) ; do
@@ -1300,4 +1303,5 @@
         ln -sf ../LONG/O2LP_LONG_00000075_restart_ice_${L_NPROC}.nc .
         ln -sf ../LONG/1_O2LP_LONG_00000150_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/1_O2LP_LONG_00000150_restart_ice_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1316,5 +1320,5 @@
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR0}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif" del_key "key_zdftmx key_top"
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_16 -r ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC" -j 8 add_key "key_agrif key_zdftmx" del_key "key_zdftmx_new key_top"
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1339,4 +1343,5 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
@@ -1377,4 +1382,5 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
+    set_namelist 1_namelist_cfg nn_fsbc 1
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.