Index: branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 8297)
+++ branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 8298)
@@ -570,5 +570,5 @@
       <!-- scalar variables available with key_diaar5 -->
 
-      <field_group id="scalar"  domain_ref="1point" >
+      <field_group id="scalar"  grid_ref="scalar" >
          <field id="voltot"     long_name="Sea Water Volume"                             standard_name="sea_water_volume"                               unit="m3"   />
          <field id="sshtot"     long_name="global mean ssh"                              standard_name="global_average_sea_level_change"                unit="m"    />
@@ -599,5 +599,5 @@
       <!-- LIM3 scalar variables -->
 
-      <field_group id="SBC_scalar"  domain_ref="1point" >
+      <field_group id="SBC_scalar"  grid_ref="scalar" >
          <!-- available with ln_limdiaout -->
          <field id="ibgvoltot"    long_name="global mean ice volume"                                 unit="km3"        />
@@ -656,5 +656,5 @@
       <!-- variables available with key_float -->
 
-      <field_group id="floatvar" domain_ref="1point" axis_ref="nfloat" operation="instant" >
+      <field_group id="floatvar" grid_ref="scalar" axis_ref="nfloat" operation="instant" >
         <field id="traj_lon"      long_name="floats longitude"                                                           unit="degrees_east"  />
         <field id="traj_lat"      long_name="floats latitude"                                                            unit="degrees_north" />
@@ -1103,2 +1103,4 @@
 
    </field_definition>
+
+
Index: branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 8297)
+++ branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 8298)
@@ -522,5 +522,5 @@
      </field_group>
 
-     <field_group id="PISCES_scalar"  domain_ref="1point" >
+     <field_group id="PISCES_scalar"  grid_ref="scalar" >
        <field id="pno3tot"         long_name="global mean nitrate concentration"                  unit="mol/m3"   />
        <field id="ppo4tot"         long_name="global mean phosphorus concentration"               unit="mol/m3"   />
Index: branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def_dyn.xml
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def_dyn.xml	(revision 8297)
+++ branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/field_def_dyn.xml	(revision 8298)
@@ -561,5 +561,5 @@
       <!-- scalar variables available with key_diaar5 -->
 
-      <field_group id="scalar"  domain_ref="1point" >
+      <field_group id="scalar"  grid_ref="scalar" >
          <field id="voltot"     long_name="Sea Water Volume"                             standard_name="sea_water_volume"                               unit="m3"   />
          <field id="sshtot"     long_name="global mean ssh"                              standard_name="global_average_sea_level_change"                unit="m"    />
@@ -590,5 +590,5 @@
       <!-- LIM3 scalar variables -->
 
-      <field_group id="SBC_scalar"  domain_ref="1point" >
+      <field_group id="SBC_scalar"  grid_ref="scalar" >
          <!-- available with ln_limdiaout -->
          <field id="ibgvoltot"    long_name="global mean ice volume"                                 unit="km3"        />
@@ -647,5 +647,5 @@
       <!-- variables available with key_float -->
 
-      <field_group id="floatvar" domain_ref="1point" axis_ref="nfloat" operation="instant" >
+      <field_group id="floatvar" grid_ref="scalar" axis_ref="nfloat" operation="instant" >
         <field id="traj_lon"      long_name="floats longitude"                                                           unit="degrees_east"  />
         <field id="traj_lat"      long_name="floats latitude"                                                            unit="degrees_north" />
Index: branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/iodef_medusa_et_al.xml
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/iodef_medusa_et_al.xml	(revision 8297)
+++ branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/CONFIG/SHARED/iodef_medusa_et_al.xml	(revision 8298)
@@ -397,4 +397,8 @@
        </grid>
         <!--  -->
+       <grid id="scalar" >
+       <!--A blank grid to represent a 0D scalar variable -->
+       </grid>
+        <!--  -->
        <grid id="grid_T_nfloat" >
          <domain id="grid_T" />
Index: branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 8297)
+++ branches/UKMO/dev_r5518_GO6_package_fix_scalar/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 8298)
@@ -1034,5 +1034,5 @@
    !!----------------------------------------------------------------------
    SUBROUTINE iom_g0d_intatt( kiomid, cdatt, pvar )
-      INTEGER         , INTENT(in   )                 ::   kiomid    ! Identifier of the file
+      INTEGER         , INTENT(in   )                 ::   kiomid    !Identifier of the file
       CHARACTER(len=*), INTENT(in   )                 ::   cdatt     ! Name of the attribute
       INTEGER         , INTENT(  out)                 ::   pvar      ! read field
@@ -1150,9 +1150,14 @@
       CHARACTER(LEN=*), INTENT(in) ::   cdname
       REAL(wp)        , INTENT(in) ::   pfield0d
+#if ! defined key_xios2
       REAL(wp)        , DIMENSION(jpi,jpj) ::   zz     ! masson
+#endif
 #if defined key_iomput
+#if ! defined key_xios2
       zz(:,:)=pfield0d
       CALL xios_send_field(cdname, zz)
-      !CALL xios_send_field(cdname, (/pfield0d/)) 
+#else
+      CALL xios_send_field(cdname, (/pfield0d/)) 
+#endif
 #else
       IF( .FALSE. )   WRITE(numout,*) cdname, pfield0d   ! useless test to avoid compilation warnings