Index: /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 8469)
+++ /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 8470)
@@ -130,5 +130,7 @@
          ztrdt(:,:,jpk,:) = 0._wp
          IF( ln_trcldf_iso ) THEN                       ! diagnose the "pure" Kz diffusive trend 
-            CALL trd_tra( kt, 'TRC', jn, jptra_zdfp, ztrdt )
+            DO jn = 1, jptra
+               CALL trd_tra( kt, 'TRC', jn, jptra_zdfp, ztrdt(:,:,:,jn) )
+            ENDDO
          ENDIF
          ! total trend for the non-time-filtered variables.
@@ -151,5 +153,7 @@
             END DO
          END IF
-         CALL trd_tra( kt, 'TRC', jn, jptra_tot, ztrdt )
+         DO jn = 1, jptra
+            CALL trd_tra( kt, 'TRC', jn, jptra_tot, ztrdt(:,:,:,jn) )
+         ENDDO
          IF( .NOT.lk_vvl )  THEN
             ! Store now fields before applying the Asselin filter 
@@ -172,5 +176,7 @@
                                             ! this time step
             ztrdt(:,:,:,:) = 0._wp
-            CALL trd_tra( kt, 'TRC', jn, jptra_atf, ztrdt )
+            DO jn = 1, jptra
+               CALL trd_tra( kt, 'TRC', jn, jptra_atf, ztrdt(:,:,:,jn) )
+            ENDDO
          END IF
 
@@ -191,5 +197,5 @@
                ztrdt(:,:,jk,jn) = ( trb(:,:,jk,jn) - ztrdt(:,:,jk,jn) ) * zfact 
             END DO
-            CALL trd_tra( kt, 'TRC', jn, jptra_atf, ztrdt )
+            CALL trd_tra( kt, 'TRC', jn, jptra_atf, ztrdt(:,:,:,jn) )
          END DO
       END IF
Index: /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90	(revision 8469)
+++ /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90	(revision 8470)
@@ -103,7 +103,7 @@
             DO jn = 1, jptra
                DO jk = 1, jpkm1
-                  ztrtrd(:,:,jk) = ( ( tra(:,:,jk,jn)*fse3t_a(:,:,jk) - &
-                                        trn(:,:,jk,jn)*fse3t_b(:,:,jk) ) &
-                                      / (fse3t_n(:,:,jk)*r2dtra(jk)) ) - ztrtrd(:,:,jk)
+                  ztrtrd(:,:,jk,jn) = ( ( tra(:,:,jk,jn)*fse3t_a(:,:,jk) - &
+                                          trn(:,:,jk,jn)*fse3t_b(:,:,jk) ) &
+                                       / (fse3t_n(:,:,jk)*r2dtra(jk)) ) - ztrtrd(:,:,jk,jn)
                END DO
             END DO
Index: /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc.F90	(revision 8469)
+++ /branches/NERC/dev_r5518_GO6_package_trdtrc/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc.F90	(revision 8470)
@@ -187,17 +187,17 @@
 
 
-                           IF  (iom_use(cltra)) THEN
+      IF  (iom_use(cltra)) THEN
 # if defined key_debug_medusa
-                              IF(lwp) WRITE(numout,*) ' TREND stats (min, max,sum) kt = ',kt ,' jn = ',kjn
-                              CALL trc_rst_dia_stat( ptrtrd(:,:,1), cltra)
+         IF(lwp) WRITE(numout,*) ' TREND stats (min, max,sum) kt = ',kt ,' jn = ',kjn
+         CALL trc_rst_dia_stat( ptrtrd(:,:,1), cltra)
 # endif
-                              CALL iom_put( cltra,  ptrtrd(:,:,:) )
+         CALL iom_put( cltra,  ptrtrd(:,:,:) )
 # if defined key_debug_medusa
-                           ELSE
-                              IF(lwp) WRITE(numout,*) &
-                              ' TREND -- No output asked for ',cltra,' kt = ',kt,' jn = ',kjn
-                              CALL trc_rst_dia_stat( ptrtrd(:,:,1), cltra)
+      ELSE
+         IF(lwp) WRITE(numout,*) &
+                      ' TREND -- No output asked for ',cltra,' kt = ',kt,' jn = ',kjn
+         CALL trc_rst_dia_stat( ptrtrd(:,:,1), cltra)
 # endif
-                           ENDIF
+      ENDIF
 
    END SUBROUTINE trd_trc_iomput