Index: branches/2017/nemo_v3_6_STABLE_trdtrc/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- branches/2017/nemo_v3_6_STABLE_trdtrc/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 8461)
+++ branches/2017/nemo_v3_6_STABLE_trdtrc/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 8471)
@@ -1,3 +1,6 @@
 <!--
+< GO6.0 version of the XIOS namelist >
+< XIOS2 version namelist >
+
 <?xml version="1.0"?>
        -->
@@ -1001,6 +1004,8 @@
        <field id="CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3" />
        <field id="CFC11_E3T"   long_name="CFC11 * E3T"                              unit="umol/m2"  > CFC11 * e3t </field >
+       <!-- CFC12 : variables available with key_cfc -->
        <field id="CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3" />
        <field id="CFC12_E3T"   long_name="CFC12 * E3T"                              unit="umol/m2"  > CFC12 * e3t </field >
+       <!-- SF6 : variables available with key_cfc -->
        <field id="SF6"         long_name="SF6 Concentration"                        unit="umol/m3" />
        <field id="SF6_E3T"     long_name="SF6 * E3T"                                unit="umol/m2"  > SF6 * e3t </field >
@@ -1140,4 +1145,109 @@
        <field id="qint_C14b"   long_name="Cumulative air-sea flux of Bomb C14"     unit="mol/m2"     />
        <field id="fdecay"      long_name="Radiactive decay of Bomb C14"            unit="mol/m3"  grid_ref="grid_T_3D"  />
+
+     </field_group>
+
+
+     <field_group id="ptrd_T" grid_ref="grid_T_3D">  <!-- key_trdtrc || key_trdmlx_trc -->
+       <!-- CFC11 : variables available with key_cfc -->
+       <field id="XAD_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="YAD_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="ZAD_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="TAD_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="TAD_CFC11_E3T"   long_name="TAD_CFC11 * E3T"                          unit="umol/m2/s" > TAD_CFC11 * e3t </field>
+       <field id="LDF_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="BBL_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="FOR_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="ZDF_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="ZDP_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="DMP_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="SMS_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="SMS_CFC11_E3T"   long_name="SMS_CFC11 * E3T"                          unit="umol/m2/s" > SMS_CFC11 * e3t </field>
+       <field id="ATF_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="RDB_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="RDN_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="TOT_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" />
+       <field id="TOT_CFC11_E3T"   long_name="TOT_CFC11 * E3T"                          unit="umol/m2/s" > TOT_CFC11 * e3t </field>
+       <field id="ISO_CFC11"       long_name="CFC-11 Concentration"                     unit="umol/m3/s" > LDF_CFC11 + ZDF_CFC11 - ZDP_CFC11 </field>  
+       <!-- CFC12 : variables available with key_cfc -->
+       <field id="XAD_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="YAD_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="ZAD_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="TAD_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="TAD_CFC12_E3T"   long_name="TAD_CFC12 * E3T"                          unit="umol/m2/s" > TAD_CFC12 * e3t </field>
+       <field id="LDF_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="BBL_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="FOR_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="ZDF_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="ZDP_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="DMP_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="SMS_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="SMS_CFC12_E3T"   long_name="SMS_CFC12 * E3T"                          unit="umol/m2/s" > SMS_CFC12 * e3t </field>
+       <field id="ATF_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="RDB_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="RDN_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" />
+       <field id="TOT_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" /> 
+       <field id="TOT_CFC12_E3T"   long_name="TOT_CFC12 * E3T"                          unit="umol/m2/s" > TOT_CFC12 * e3t </field>
+       <field id="ISO_CFC12"       long_name="CFC-12 Concentration"                     unit="umol/m3/s" > LDF_CFC12 + ZDF_CFC12 - ZDP_CFC12 </field>
+       <!-- SF6 : variables available with key_cfc -->
+       <field id="XAD_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="YAD_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="ZAD_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="TAD_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="TAD_SF6_E3T"     long_name="TAD_SF6 * E3T"                            unit="umol/m2/s" > TAD_SF6 * e3t </field>
+       <field id="LDF_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="BBL_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="FOR_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="ZDF_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="ZDP_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="DMP_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="SMS_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="SMS_SF6_E3T"     long_name="SMS_SF6 * E3T"                            unit="umol/m2/s" > SMS_SF6 * e3t </field>
+       <field id="ATF_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="RDB_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="RDN_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="TOT_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" />
+       <field id="TOT_SF6_E3T"     long_name="TOT_SF6 * E3T"                            unit="umol/m2/s" > TOT_SF6 * e3t </field>
+       <field id="ISO_SF6"         long_name="SF6 Concentration"                        unit="umol/m3/s" > LDF_SF6 + ZDF_SF6 - ZDP_SF6 </field>
+       <!-- Bomb C14 : variables available with key_c14b -->
+       <field id="XAD_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="YAD_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="ZAD_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="TAD_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="TAD_C14B_E3T"    long_name="TAD_C14B * E3T"                           unit="1/s" > TAD_C14B * e3t </field>
+       <field id="LDF_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="BBL_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="FOR_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="ZDF_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="ZDP_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="DMP_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="SMS_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="SMS_C14B_E3T"    long_name="SMS_C14B * E3T"                           unit="1/s" > SMS_C14B * e3t </field>
+       <field id="ATF_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="RDB_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="RDN_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="TOT_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"         />
+       <field id="TOT_C14B_E3T"    long_name="TOT_C14B * E3T"                           unit="1/s" > TOT_C14B * e3t </field>
+       <field id="ISO_C14B"        long_name="Bomb C14 Concentration"                   unit="1/s"        > LDF_C14B + ZDF_C14B - ZDP_C14B </field>
+       <!-- AGE : variables available with key_age -->
+       <field id="XAD_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="YAD_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="ZAD_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="TAD_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="TAD_Age_E3T"    long_name="TAD_Age * E3T"                                     unit="yr/s" > TAD_Age * e3t </field>
+       <field id="LDF_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="BBL_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="FOR_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="ZDF_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="ZDP_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="DMP_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="SMS_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="SMS_Age_E3T"    long_name="SMS_Age * E3T"                                     unit="yr/s" > SMS_Age * e3t </field>
+       <field id="ATF_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="RDB_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="RDN_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="TOT_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"         />
+       <field id="TOT_Age_E3T"    long_name="TOT_Age * E3T"                                     unit="yr/s" > TOT_Age * e3t </field>
+       <field id="ISO_Age"        long_name="Sea Water Age Since Surface contact" standard_name="sea_water_age_since_surface_contact"  unit="yr/s"  > LDF_Age + ZDF_Age - ZDP_Age  </field>
      </field_group>
 
@@ -1162,17 +1272,182 @@
     -->
 
-     <field_group id="TRD" >
-          <field field_ref="ttrd_totad_li"   name="opottempadvect"  />
-          <field field_ref="ttrd_iso_li"     name="opottemppmdiff"  />
-          <field field_ref="ttrd_zdfp_li"    name="opottempdiff"  />
-          <field field_ref="ttrd_evd_li"     name="opottempevd" />
-          <field field_ref="strd_evd_li"     name="osaltevd" />
-          <field field_ref="ttrd_qns_li"     name="opottempqns"  />
-          <field field_ref="ttrd_qsr_li"     name="rsdoabsorb" operation="accumulate" />
-          <field field_ref="strd_totad_li"   name="osaltadvect" />
-          <field field_ref="strd_iso_li"     name="osaltpmdiff"  />
-          <field field_ref="strd_zdfp_li"    name="osaltdiff" />
+    <field_group id="groupCFC" >
+      <field field_ref="CFC11"     name="CFC11"     />
+      <field field_ref="CFC11_E3T" name="CFC11_E3T" />
+      <field field_ref="CFC12"     name="CFC12"     />
+      <field field_ref="CFC12_E3T" name="CFC12_E3T" />
+      <field field_ref="SF6"       name="SF6"       />
+      <field field_ref="SF6_E3T"   name="SF6_E3T"   />
     </field_group>
-    
+
+    <field_group id="groupCFC_dia" >
+      <field field_ref="qtrCFC11"    name="qtrCFC11"   />
+      <field field_ref="qintCFC11"   name="qintCFC11"  />
+      <field field_ref="qtrCFC12"    name="qtrCFC12"   />
+      <field field_ref="qintCFC12"   name="qintCFC12"  />
+      <field field_ref="qtrSF6"      name="qtrSF6"     />
+      <field field_ref="qintSF6"     name="qintSF6"    />
+    </field_group>
+
+    <field_group id="groupAGE" >
+      <field field_ref="Age" name="Age" />
+    </field_group>
+
+    <field_group id="trendCFC11" >
+          <!-- cfc11 -->
+          <field field_ref="TOT_CFC11"     name="TOT_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TOT_CFC11_E3T" name="TOT_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="XAD_CFC11"     name="XAD_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="YAD_CFC11"     name="YAD_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="ZAD_CFC11"     name="ZAD_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TAD_CFC11"     name="TAD_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TAD_CFC11_E3T" name="TAD_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="LDF_CFC11"     name="LDF_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="BBL_CFC11"     name="BBL_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="FOR_CFC11"     name="FOR_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="ZDF_CFC11"     name="ZDF_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="ZDP_CFC11"     name="ZDP_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="DMP_CFC11"     name="DMP_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="SMS_CFC11"     name="SMS_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="SMS_CFC11_E3T" name="SMS_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="ATF_CFC11"     name="ATF_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="ISO_CFC11"     name="ISO_CFC11"     standard_name="CFC-11_Concentration"                  />
+   </field_group>
+
+    <field_group id="trendCFC12" >
+          <!-- cfc12 -->
+          <field field_ref="TOT_CFC12"     name="TOT_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TOT_CFC12_E3T" name="TOT_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="XAD_CFC12"     name="XAD_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="YAD_CFC12"     name="YAD_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="ZAD_CFC12"     name="ZAD_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TAD_CFC12"     name="TAD_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TAD_CFC12_E3T" name="TAD_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="LDF_CFC12"     name="LDF_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="BBL_CFC12"     name="BBL_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="FOR_CFC12"     name="FOR_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="ZDF_CFC12"     name="ZDF_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="ZDP_CFC12"     name="ZDP_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="DMP_CFC12"     name="DMP_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="SMS_CFC12"     name="SMS_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="SMS_CFC12_E3T" name="SMS_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="ATF_CFC12"     name="ATF_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="ISO_CFC12"     name="ISO_CFC12"     standard_name="CFC-12_Concentration"                  />
+   </field_group>
+
+    <field_group id="trendSF6" >
+          <!-- sf6 -->
+          <field field_ref="TOT_SF6"      name="TOT_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="TOT_SF6_E3T"  name="TOT_SF6_E3T"  standard_name="SF6_Concentration"                     />
+          <field field_ref="XAD_SF6"      name="XAD_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="YAD_SF6"      name="YAD_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="ZAD_SF6"      name="ZAD_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="TAD_SF6"      name="TAD_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="TAD_SF6_E3T"  name="TAD_SF6_E3T"  standard_name="SF6_Concentration"                     />
+          <field field_ref="LDF_SF6"      name="LDF_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="BBL_SF6"      name="BBL_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="FOR_SF6"      name="FOR_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="ZDF_SF6"      name="ZDF_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="ZDP_SF6"      name="ZDP_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="DMP_SF6"      name="DMP_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="SMS_SF6"      name="SMS_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="SMS_SF6_E3T"  name="SMS_SF6_E3T"  standard_name="SF6_Concentration"                     />
+          <field field_ref="ATF_SF6"      name="ATF_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="ISO_SF6"      name="ISO_SF6"      standard_name="SF6_Concentration"                     />
+   </field_group>
+
+    <field_group id="trendAGE" >
+          <!-- age -->
+          <field field_ref="TOT_Age"      name="TOT_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TOT_Age_E3T"  name="TOT_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="XAD_Age"      name="XAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="YAD_Age"      name="YAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="ZAD_Age"      name="ZAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TAD_Age"      name="TAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TAD_Age_E3T"  name="TAD_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="LDF_Age"      name="LDF_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="BBL_Age"      name="BBL_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="FOR_Age"      name="FOR_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="ZDF_Age"      name="ZDF_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="ZDP_Age"      name="ZDP_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="DMP_Age"      name="DMP_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="SMS_Age"      name="SMS_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="SMS_Age_E3T"  name="SMS_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="ATF_Age"      name="ATF_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="ISO_Age"      name="ISO_Age"      standard_name="sea_water_age_since_surface_contact"   />
+   </field_group>
+
+    <field_group id="trendC14B" >
+          <!-- c14 bomb -->
+          <field field_ref="TOT_C14B"      name="TOT_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="TOT_C14B_E3T"  name="TOT_C14B_E3T"  standard_name="C14b_Concentration"               />
+          <field field_ref="XAD_C14B"      name="XAD_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="YAD_C14B"      name="YAD_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="ZAD_C14B"      name="ZAD_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="TAD_C14B"      name="TAD_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="TAD_C14B_E3T"  name="TAD_C14B_E3T"  standard_name="C14b_Concentration"               />
+          <field field_ref="LDF_C14B"      name="LDF_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="BBL_C14B"      name="BBL_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="FOR_C14B"      name="FOR_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="ZDF_C14B"      name="ZDF_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="ZDP_C14B"      name="ZDP_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="DMP_C14B"      name="DMP_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="SMS_C14B"      name="SMS_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="SMS_C14B_E3T"  name="SMS_C14B_E3T"  standard_name="C14b_Concentration"               />
+          <field field_ref="ATF_C14B"      name="ATF_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="ISO_C14B"      name="ISO_C14B"      standard_name="C14b_Concentration"               />
+   </field_group>
+
+    <field_group id="trendCFC11_short" >
+          <!-- cfc11 -->
+          <field field_ref="TOT_CFC11"     name="TOT_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TOT_CFC11_E3T" name="TOT_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TAD_CFC11"     name="TAD_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="TAD_CFC11_E3T" name="TAD_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+          <field field_ref="SMS_CFC11"     name="SMS_CFC11"     standard_name="CFC-11_Concentration"                  />
+          <field field_ref="SMS_CFC11_E3T" name="SMS_CFC11_E3T" standard_name="CFC-11_Concentration"                  />
+   </field_group>
+
+    <field_group id="trendCFC12_short" >
+          <!-- cfc12 -->
+          <field field_ref="TOT_CFC12"     name="TOT_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TOT_CFC12_E3T" name="TOT_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TAD_CFC12"     name="TAD_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="TAD_CFC12_E3T" name="TAD_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+          <field field_ref="SMS_CFC12"     name="SMS_CFC12"     standard_name="CFC-12_Concentration"                  />
+          <field field_ref="SMS_CFC12_E3T" name="SMS_CFC12_E3T" standard_name="CFC-12_Concentration"                  />
+   </field_group>
+
+    <field_group id="trendSF6_short" >
+          <!-- sf6 -->
+          <field field_ref="TOT_SF6"      name="TOT_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="TOT_SF6_E3T"  name="TOT_SF6_E3T"  standard_name="SF6_Concentration"                     />
+          <field field_ref="TAD_SF6"      name="TAD_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="TAD_SF6_E3T"  name="TAD_SF6_E3T"  standard_name="SF6_Concentration"                     />
+          <field field_ref="SMS_SF6"      name="SMS_SF6"      standard_name="SF6_Concentration"                     />
+          <field field_ref="SMS_SF6_E3T"  name="SMS_SF6_E3T"  standard_name="SF6_Concentration"                     />
+   </field_group>
+
+    <field_group id="trendAGE_short" >
+          <!-- age -->
+          <field field_ref="TOT_Age"      name="TOT_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TOT_Age_E3T"  name="TOT_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TAD_Age"      name="TAD_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="TAD_Age_E3T"  name="TAD_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="SMS_Age"      name="SMS_Age"      standard_name="sea_water_age_since_surface_contact"   />
+          <field field_ref="SMS_Age_E3T"  name="SMS_Age_E3T"  standard_name="sea_water_age_since_surface_contact"   />
+   </field_group>
+
+    <field_group id="trendC14B_short" >
+          <!-- c14 bomb -->
+          <field field_ref="TOT_C14B"      name="TOT_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="TOT_C14B_E3T"  name="TOT_C14B_E3T"  standard_name="C14b_Concentration"               />
+          <field field_ref="TAD_C14B"      name="TAD_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="TAD_C14B_E3T"  name="TAD_C14B_E3T"  standard_name="C14b_Concentration"               />
+          <field field_ref="SMS_C14B"      name="SMS_C14B"      standard_name="C14b_Concentration"               />
+          <field field_ref="SMS_C14B_E3T"  name="SMS_C14B_E3T"  standard_name="C14b_Concentration"               />
+   </field_group>
+
+
     <field_group id="mooring" >
       <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"      />